package it.toscana.rete.cart.www.servizi.iris_1_1.proxy;

public class VerificaStatoPagamentoProxy implements it.toscana.rete.cart.www.servizi.iris_1_1.proxy.VerificaStatoPagamento {
  private String _endpoint = null;
  private it.toscana.rete.cart.www.servizi.iris_1_1.proxy.VerificaStatoPagamento verificaStatoPagamento = null;
  
  public VerificaStatoPagamentoProxy() {
    _initVerificaStatoPagamentoProxy();
  }
  
  public VerificaStatoPagamentoProxy(String endpoint) {
    _endpoint = endpoint;
    _initVerificaStatoPagamentoProxy();
  }
  
  private void _initVerificaStatoPagamentoProxy() {
    try {
      verificaStatoPagamento = (new it.toscana.rete.cart.www.servizi.iris_1_1.proxy.VerificaStatoPagamentoServiceLocator()).getVerificaStatoPagamento();
      if (verificaStatoPagamento != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)verificaStatoPagamento)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)verificaStatoPagamento)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (verificaStatoPagamento != null)
      ((javax.xml.rpc.Stub)verificaStatoPagamento)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public it.toscana.rete.cart.www.servizi.iris_1_1.proxy.VerificaStatoPagamento getVerificaStatoPagamento() {
    if (verificaStatoPagamento == null)
      _initVerificaStatoPagamentoProxy();
    return verificaStatoPagamento;
  }
  
  public it.toscana.rete.cart.www.servizi.iris_1_1.IdpEsito.IdpEsitoVerifica idpVerificaStatoPagamenti(it.toscana.rete.cart.www.servizi.iris_1_1.IdpInformativaPagamento.IdpVerificaStatoPagamento idpVerificaStatoPagamento) throws java.rmi.RemoteException{
    if (verificaStatoPagamento == null)
      _initVerificaStatoPagamentoProxy();
    return verificaStatoPagamento.idpVerificaStatoPagamenti(idpVerificaStatoPagamento);
  }
  
  
}